## flux export image

Export image automation objects

### Synopsis

The export image sub-commands export image automation objects in YAML format.

### Options

```
  -h, --help   help for image
```

### Options inherited from parent commands

```
      --all                 select all resources
      --context string      kubernetes context to use
      --kubeconfig string   path to the kubeconfig file (default "~/.kube/config")
  -n, --namespace string    the namespace scope for this operation (default "flux-system")
      --timeout duration    timeout for this operation (default 5m0s)
      --verbose             print generated objects
```

### SEE ALSO

* [flux export](flux_export.md)	 - Export resources in YAML format
* [flux export image policy](flux_export_image_policy.md)	 - Export ImagePolicy resources in YAML format
* [flux export image repository](flux_export_image_repository.md)	 - Export ImageRepository resources in YAML format
* [flux export image update](flux_export_image_update.md)	 - Export ImageUpdateAutomation resources in YAML format

